Bug 146693 - Various latex2html bugfixes not incorporated
Various latex2html bugfixes not incorporated
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-31 15:18 EST by Julius Smith
Modified: 2013-07-02 19:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-21 09:38:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julius Smith 2005-01-31 15:18:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
This post contains a few bugfixes which were inexplicably left out of
the latest release of latex2html in the tetex distribution.  Below are
diffs between the version in tetex-2.0.2-14FC2.2 and my patched
version.  (According to my knowledge, the latex2html maintainer should
obtain the latest from Ross Moore <ross@maths.mq.edu.au> in order to
obtain all the latest patches.  The ones below consist only of fixes
to bugs I have tracked down myself in recent months/years.)

The first patch allows the author address to contain more than one
line (separated by '\\').

The second patch repairs the flush-left formatting of the author
address (while the first line of address and other author info are
centered).

The third patch replaces \W by \s to fix mishandling of parentheses,
causing them to be typeset at different sizes.

*** /usr/bin/latex2html-FC2-STOCK	Wed Jan 19 08:09:43 2005
--- /usr/bin/latex2html	Mon Jan 31 11:37:37 2005
***************
*** 12365,12371 ****
  	    $t_author = &translate_environments($_);
  	    $t_author =~ s/\s+/ /g;
  	    $t_author = &simplify(&translate_commands($t_author));
! 	    ($t_author,$t_affil,$t_address) = split (/\s*<BR>s*/, $t_author);
  	    push @authors, $t_author;
  	    push @affils, $t_affil;
  	    push @addresses, $t_address;
--- 12365,12371 ----
  	    $t_author = &translate_environments($_);
  	    $t_author =~ s/\s+/ /g;
  	    $t_author = &simplify(&translate_commands($t_author));
! 	    ($t_author,$t_affil,$t_address) = split(/\s*<BR>s*/, $t_author, 3);
  	    push @authors, $t_author;
  	    push @affils, $t_affil;
  	    push @addresses, $t_address;
***************
*** 12374,12380 ****
  	$_ = &translate_environments($next);
  	$next = &translate_commands($_);
  	($t_author) = &simplify($next);
! 	($t_author,$t_affil,$t_address) = split (/\s*<BR>s*/, $t_author);
  	push @authors, $t_author;
  	push @affils, $t_affil if $t_affil;
  	push @addresses, $t_address if $t_address;
--- 12374,12380 ----
  	$_ = &translate_environments($next);
  	$next = &translate_commands($_);
  	($t_author) = &simplify($next);
! 	($t_author,$t_affil,$t_address) = split (/\s*<BR>s*/, $t_author, 3);
  	push @authors, $t_author;
  	push @affils, $t_affil if $t_affil;
  	push @addresses, $t_address if $t_address;
***************
*** 12537,12546 ****
      if ($t_date&&!($t_date=~/^\s*(($O|$OP)\d+($C|$CP))\s*\1\s*$/)) {
  	$t_title .= "\n<P$alignc><STRONG>$t_date</STRONG></P>";}
      if
($t_address&&!($t_address=~/^\s*(($O|$OP)\d+($C|$CP))\s*\1\s*$/)) {
! 	$t_title .= "\n<P$alignl><SMALL>$t_address</SMALL></P>";
      }  # else { $t_title .= "\n<P$alignl>"}
      if ($t_email&&!($t_email=~/^\s*(($O|$OP)\d+($C|$CP))\s*\1\s*$/)) {
! 	$t_title .= "\n<P$alignl><SMALL>$t_email</SMALL></P>";
      }  # else { $t_title .= "</P>" }
      join("\n", $s_author_info, $t_title, $e_author_info);
  }
--- 12537,12546 ----
      if ($t_date&&!($t_date=~/^\s*(($O|$OP)\d+($C|$CP))\s*\1\s*$/)) {
  	$t_title .= "\n<P$alignc><STRONG>$t_date</STRONG></P>";}
      if
($t_address&&!($t_address=~/^\s*(($O|$OP)\d+($C|$CP))\s*\1\s*$/)) {
! 	$t_title .= "\n<P$alignc><SMALL>$t_address</SMALL></P>";
      }  # else { $t_title .= "\n<P$alignl>"}
      if ($t_email&&!($t_email=~/^\s*(($O|$OP)\d+($C|$CP))\s*\1\s*$/)) {
! 	$t_title .= "\n<P$alignc><SMALL>$t_email</SMALL></P>";
      }  # else { $t_title .= "</P>" }
      join("\n", $s_author_info, $t_title, $e_author_info);
  }
***************
*** 15271,15277 ****
      # MRO: replaced $* with /m
      while ($text =~ /(\\[a-zA-Z]+|[&;]SPM\w+;|<[^>]+>)+/m ) {
  	$scbef = $`; $special = $&; $text = $';
! 	while ( $scbef =~ /(&#\d+;|[a-z$sclower])+[a-z\W\d$sclower]*/m) {
  	    $scstr .= $`; $scbef = $';
  	    $next = $&; 
  	    $next =~ s/&#(\d+);/&lowercase_entity($1)/egm;
--- 15271,15277 ----
      # MRO: replaced $* with /m
      while ($text =~ /(\\[a-zA-Z]+|[&;]SPM\w+;|<[^>]+>)+/m ) {
  	$scbef = $`; $special = $&; $text = $';
! 	while ( $scbef =~ /(&#\d+;|[a-z$sclower])+[a-z\s\d$sclower]*/m) {
  	    $scstr .= $`; $scbef = $';
  	    $next = $&; 
  	    $next =~ s/&#(\d+);/&lowercase_entity($1)/egm;
***************
*** 15282,15288 ****
  	$scstr .= $scbef . $special;
      }
      if ($text) {
! 	while ( $text =~ /(&#\d+;|[a-z$sclower])+[a-z\W\d$sclower]*/m) {
  	    $scstr .= $`; $text = $';
  	    $next = $&;
  	    $next =~ s/&#(\d+);/&lowercase_entity($1)/egm;
--- 15282,15288 ----
  	$scstr .= $scbef . $special;
      }
      if ($text) {
! 	while ( $text =~ /(&#\d+;|[a-z$sclower])+[a-z\s\d$sclower]*/m) {
  	    $scstr .= $`; $text = $';
  	    $next = $&;
  	    $next =~ s/&#(\d+);/&lowercase_entity($1)/egm;


Version-Release number of selected component (if applicable):
tetex-2.0.2-14FC2.2

How reproducible:
Always

Steps to Reproduce:
See description above.

Additional info:
Comment 1 Jindrich Novy 2005-02-04 13:10:57 EST
Hello Julius, have you tried the latest devel teTeX? It should work
smoothly under FC2. FYI Thomas Esser announced that teTeX-3.0 is
likely to be released after this weekend, where the latest packages
(whenever possible) are included so maybe a better solution is to wait
some time when I build the new teTeX and release an update for FC2
eventually.

Thanks,
Jindrich
Comment 2 Julius Smith 2005-02-05 17:36:50 EST
Hi Jindrich, I downloaded tetex-texmfsrc-2.99.13.20050204-beta.tar.gz,
which seemed to be the latest, and latex2html is not anywhere in
there, at least according to find (1).  Any pointers appreciated. 
Thanks - Julius
Comment 3 Julius Smith 2005-02-05 18:09:08 EST
I also could not find it in tetex-src-2.99.13.20050204-beta.tar.gz
-- Julius
Comment 4 Jindrich Novy 2005-02-07 05:00:50 EST
I meant the Red Hat development package:
http://sunsite.mff.cuni.cz/pub/fedora/development/SRPMS/tetex-2.0.2-30.src.rpm

The latex2html is present in the tetex-latex package after the build.
latex2html isn't a part of the official teTeX distribution maintained
by Thomas, but is a part of our teTeX package. (btw. teTeX-3.0 is out now)

Could you please check if this version of latex2html works for you
with no problems?

Thanks,
Jindrich
Comment 5 Jindrich Novy 2005-02-18 09:55:03 EST
I noticed that a new tarball (with the same name as the old one
latex2html-2002-2-1.tar.gz) has occured at http://latex2html.org/ but its last
change is 25-Oct-2004 07:15. I diffed this and previous release but haven't
noticed that any of the proposed fixes here are applied, have you filed some
bugreport also upstream?
Comment 6 Julius Smith 2005-02-18 12:22:36 EST
All of these were reported individually to <latex2html@tug.org>, and I have just
now sent a summary email to that address containing these patches plus a
recommendation that works around [Bug 127010] as well. -- Julius
Comment 7 Jindrich Novy 2005-02-21 09:38:42 EST
Ok, thanks for reporting this upstream. If you won't get any feedback in a
reasonable time, please reopen this bug adding these patches as an attachment.
I'll review and apply them if they're useful. Please note that we want to
introduce latex2html as a separate package soon, maybe that's a good idea to
have these patches there. Closing UPSTREAM for now.

I noted that in the newer tarball present on is defined gray=85 as a default
"transparent" color, maybe setting it to some more friendly value should let us
rid of the ugly gray images.

Note You need to log in before you can comment on or make changes to this bug.